<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.1) on Wed May 01 22:01:46 CEST 2019 -->
<title>Plateau</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2019-05-01">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Plateau";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":6,"i1":10,"i2":10,"i3":9,"i4":10,"i5":10,"i6":9,"i7":9,"i8":10,"i9":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Plateau.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">projet</a></div>
<h2 title="Class Plateau" class="title">Class Plateau</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>projet.Plateau</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="PlateauChasseur.html" title="class in projet">PlateauChasseur</a></code>, <code><a href="PlateauMonstre.html" title="class in projet">PlateauMonstre</a></code></dd>
</dl>
<hr>
<pre>public abstract class <span class="typeNameLabel">Plateau</span>
extends java.lang.Object</pre>
<div class="block">Permet d'avoir la base d'un plateau qui sera modifié selon si la personne est monstre ou chasseur</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>guyardc roelandg verdierr boucheza</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static java.util.Random</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#aleatoire">aleatoire</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#jeuTerminer">jeuTerminer</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#nbTour">nbTour</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="Case.html" title="class in projet">Case</a>[][]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#plateau">plateau</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="Position.html" title="class in projet">Position</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#position">position</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TAILLE">TAILLE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Plateau</a></span>()</code></th>
<td class="colLast">
<div class="block">Crée un plateau de taille TAILLE</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(int)">Plateau</a></span>&#8203;(int&nbsp;x)</code></th>
<td class="colLast">
<div class="block">Crée un plateau carré de taille x</div>
</td>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(int,int)">Plateau</a></span>&#8203;(int&nbsp;nbLig,
       int&nbsp;nbCol)</code></th>
<td class="colLast">
<div class="block">Crée un plateau de taille nbLig x nbCol</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(projet.Case%5B%5D%5B%5D)">Plateau</a></span>&#8203;(<a href="Case.html" title="class in projet">Case</a>[][]&nbsp;newPlateau)</code></th>
<td class="colLast">
<div class="block">Crée un plateau grace un tableau de case</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>abstract java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#affichage()">affichage</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLargeur()">getLargeur</a></span>()</code></th>
<td class="colLast">
<div class="block">Permet d'acceder à la largeur du plateau</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLongeur()">getLongeur</a></span>()</code></th>
<td class="colLast">
<div class="block">Permet d'acceder à la longueur du plateau</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNbTour()">getNbTour</a></span>()</code></th>
<td class="colLast">
<div class="block">permet d'aceder au nombre de tour</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="Position.html" title="class in projet">Position</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPosition()">getPosition</a></span>()</code></th>
<td class="colLast">
<div class="block">permet d'aceder à la position</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#initPosition()">initPosition</a></span>()</code></th>
<td class="colLast">
<div class="block">Permet d'initialiser la possition du joueur</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isJeuTerminer()">isJeuTerminer</a></span>()</code></th>
<td class="colLast">
<div class="block">Permet de savoir si le jeu est terminé</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#jeuTerminer()">jeuTerminer</a></span>()</code></th>
<td class="colLast">
<div class="block">permet de rendre le jeu terminé</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setPosition(projet.Position)">setPosition</a></span>&#8203;(<a href="Position.html" title="class in projet">Position</a>&nbsp;position)</code></th>
<td class="colLast">
<div class="block">permet de changer la position</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#tourSuivant()">tourSuivant</a></span>()</code></th>
<td class="colLast">
<div class="block">Incrémentation du nombre de tour</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="plateau">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>plateau</h4>
<pre>public static&nbsp;<a href="Case.html" title="class in projet">Case</a>[][] plateau</pre>
</li>
</ul>
<a id="nbTour">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nbTour</h4>
<pre>protected static&nbsp;int nbTour</pre>
</li>
</ul>
<a id="position">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>position</h4>
<pre>private static&nbsp;<a href="Position.html" title="class in projet">Position</a> position</pre>
</li>
</ul>
<a id="TAILLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TAILLE</h4>
<pre>private static final&nbsp;int TAILLE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#projet.Plateau.TAILLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="jeuTerminer">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jeuTerminer</h4>
<pre>private static&nbsp;boolean jeuTerminer</pre>
</li>
</ul>
<a id="aleatoire">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>aleatoire</h4>
<pre>protected static&nbsp;java.util.Random aleatoire</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Plateau</h4>
<pre>public&nbsp;Plateau()</pre>
<div class="block">Crée un plateau de taille TAILLE</div>
</li>
</ul>
<a id="&lt;init&gt;(int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Plateau</h4>
<pre>public&nbsp;Plateau&#8203;(int&nbsp;nbLig,
               int&nbsp;nbCol)</pre>
<div class="block">Crée un plateau de taille nbLig x nbCol</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nbLig</code> - int</dd>
<dd><code>nbCol</code> - int</dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Plateau</h4>
<pre>public&nbsp;Plateau&#8203;(int&nbsp;x)</pre>
<div class="block">Crée un plateau carré de taille x</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - int</dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(projet.Case[][])">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Plateau</h4>
<pre>public&nbsp;Plateau&#8203;(<a href="Case.html" title="class in projet">Case</a>[][]&nbsp;newPlateau)</pre>
<div class="block">Crée un plateau grace un tableau de case</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newPlateau</code> - Case [][]</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="initPosition()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initPosition</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;initPosition()</pre>
<div class="block">Permet d'initialiser la possition du joueur</div>
</li>
</ul>
<a id="tourSuivant()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tourSuivant</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;tourSuivant()</pre>
<div class="block">Incrémentation du nombre de tour</div>
</li>
</ul>
<a id="getLargeur()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLargeur</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getLargeur()</pre>
<div class="block">Permet d'acceder à la largeur du plateau</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
<a id="getLongeur()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLongeur</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getLongeur()</pre>
<div class="block">Permet d'acceder à la longueur du plateau</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
<a id="getNbTour()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbTour</h4>
<pre class="methodSignature">public static&nbsp;int&nbsp;getNbTour()</pre>
<div class="block">permet d'aceder au nombre de tour</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
<a id="getPosition()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPosition</h4>
<pre class="methodSignature">public&nbsp;<a href="Position.html" title="class in projet">Position</a>&nbsp;getPosition()</pre>
<div class="block">permet d'aceder à la position</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Position</dd>
</dl>
</li>
</ul>
<a id="setPosition(projet.Position)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPosition</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setPosition&#8203;(<a href="Position.html" title="class in projet">Position</a>&nbsp;position)</pre>
<div class="block">permet de changer la position</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - Position</dd>
</dl>
</li>
</ul>
<a id="affichage()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>affichage</h4>
<pre class="methodSignature">public abstract&nbsp;java.lang.String&nbsp;affichage()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="isJeuTerminer()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isJeuTerminer</h4>
<pre class="methodSignature">public static&nbsp;boolean&nbsp;isJeuTerminer()</pre>
<div class="block">Permet de savoir si le jeu est terminé</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="jeuTerminer()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>jeuTerminer</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;jeuTerminer()</pre>
<div class="block">permet de rendre le jeu terminé</div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Plateau.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
